<?php

namespace Shopping\Order;

use User;

class Order
{
    /**
     * $product object.
     */
    protected $product;

    /**
     * Constructor.
     */
    public function __construct(\Shopping\Order\Interfaces\ProductRepositoryInterface $product)
    {
        $this->product = $product;
    }

    /**
     * Returns count of order.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.product.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->product->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\ProductUserCriteria());
        }

        $product = $this->product->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('order::' . $view, compact('product'))->render();
    }
}
