<?php

namespace Shopping\Order\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ProductTransformer extends TransformerAbstract
{
    public function transform(\Shopping\Order\Models\Product $product)
    {
        return [
            'id'                => $product->getRouteKey(),
            'key'               => [
                'public'    => $product->getPublicKey(),
                'route'     => $product->getRouteKey(),
            ], 
            'id'                => $product->id,
            'order_id'          => $product->order_id,
            'productable_id'    => $product->productable_id,
            'productable_type'  => $product->productable_type,
            'quantity'          => $product->quantity,
            'created_at'        => $product->created_at,
            'updated_at'        => $product->updated_at,
            'deleted_at'        => $product->deleted_at,
            'url'               => [
                'public'    => trans_url('order/'.$product->getPublicKey()),
                'user'      => guard_url('order/product/'.$product->getRouteKey()),
            ], 
            'status'            => trans('app.'.$product->status),
            'created_at'        => format_date($product->created_at),
            'updated_at'        => format_date($product->updated_at),
        ];
    }
}